# timegather.cpp File Reference

Time Gather File. More...

`#include "timegather.h"`
`#include "value_desc.h"`
`#include <synfig/layer_pastecanvas.h>`
`#include "general.h"`

## Functions

void | synfigapp::recurse_canvas (synfig::Canvas::Handle h, const std::set< Time > &tlist, timepoints_ref &vals, synfig::Time time_offset)
void | synfigapp::recurse_layer (synfig::Layer::Handle h, const std::set< Time > &tlist, timepoints_ref &vals, synfig::Time time_offset)
template<typename IT, typename CMP>
static bool | sorted (IT i, IT end, const CMP &cmp=CMP())
void | synfigapp::recurse_valuedesc (synfigapp::ValueDesc h, const std::set< Time > &tlist, timepoints_ref &vals, synfig::Time time_offset)

## Detailed Description

Time Gather File.

$Id$

## Function Documentation

template<typename IT, typename CMP>

static bool sorted | ( | IT | i,
|  | IT | end,
|  | const CMP & | cmp = `CMP()` |
| ) |  |  | `[inline, static]`